

onEvent('recipes', event => {
    [
        'industrialforegoing:machine_frame_pity'


    ].forEach((recipeID) => event.remove({id: recipeID}));
})

onEvent('recipes', event => {
    event.recipes.createMixing(
        [Item.of('thermal:slag').withChance(0.6), Item.of('industrialforegoing:plastic').withChance(0.8)],
        [Fluid.of('thermal:crude_oil', 30), Item.of('minecraft:coal', 2)]
    ).heated()
})

onEvent('recipes', event => {
event.shaped('industrialforegoing:machine_frame_pity', [
    'CDC', 
    'BAB', 
    'CDC'  
    ], {//Variables
    A: 'minecraft:redstone_block', 
    B: 'kubejs:green',  
    C: '#minecraft:logs',  
    D: 'minecraft:iron_ingot'
})
})